function res = didNoOneDrawTheirOwnName(N)
    % Given N, the number of participants, simulate whether or not people
    % drew their own names.  Return res = 1 if no one drew their own
    % names, and 0, otherwise.
    
    % Pre-condition: N is an integer >= 2.
    
    pplVector = 1:N;
    picksVector = randperm(N);
    
    matchesVector = picksVector - pplVector;
    if any(matchesVector == 0)
        res = 0; % Someone drew their own name;
    else
        res = 1;
    end
end

