%% Limiting Case for N going to infinity
clear;
close all;
clc;

%% Start of Script
N = 1:100;
monteCarloVec = N;
simCount = 1e6;

for n = N
    resTot = 0;
    for k = 1:simCount
        res = didNoOneDrawTheirOwnName(n);
        resTot = resTot + res;
    end
    monteCarloVec(n) = resTot/simCount;
    fprintf('Done N = %d\n', n);
end

referenceLine = exp(-1);

%% Plot convergence
bar(monteCarloVec);
hold on;
hline = refline(0, referenceLine);
hline.Color = 'r';
title('Probability of No One Among N People Picked Their Names');
xlabel('N');
ylabel('Probability');
legend('Simulation', 'Theoretical Value of e^{-1}');