%% Single Case Simulation for N = 5
clear;
close all;
clc;

%% Start of Script
N = 5;
simCount = 1e6;
resTot = 0;
percVector = NaN(simCount, 1);

for k = 1:simCount
    res = didNoOneDrawTheirOwnName(N);
    resTot = resTot + res;
    percVector(k) = resTot/k;
end

referenceLine = 11/30;

%% Plot convergence
plot(percVector, 'r');
hold on;
refline(0, referenceLine);
title('Probability Simulation vs Actual Value for N = 5');
xlabel('Simulation Count');
ylabel('Probability');
legend('Simulation', 'Theoretical Value of 11/30');